#!/bin/bash
# This scripts repacks ComTest.jar by renaming comtest package to comtest.vN where N is passed as arg
# Usage: repack_comtest.sh <path to ComTest.jar> <N>
# The script will create ComTest_vN.jar in the same directory as ComTest.jar
# This script uses jarjar tool from http://code.google.com/p/jarjar/

# Read args
if [ $# -ne 2 ]; then
    echo "Usage: repack_comtest1.sh <path to ComTest.jar> <N>"
    exit 1
fi
JAR=$1
JAR_PATH=$(dirname $JAR)
N=$2
jarjar="java -jar jarjar.jar"

rules="
rule comtest.** comtest.v$N.@1
"

# Create temporary rules file
rules_file=$(mktemp)
echo "$rules" > "$rules_file"
# Repack ComTest.jar
$jarjar process "$rules_file" "$JAR" "$JAR_PATH/ComTest_v$N.jar"
# Remove temporary rules file
rm "$rules_file"